%define libname nxcl
Name: libnxcl
Version: 0.9
Release: alt1

Epoch: 1

Summary: Freenx application/thin-client client library
Group: Networking/Remote access
License: GPLv2
URL: http://freenx.berlios.de

Packager: Boris Savelev <boris@altlinux.org>

Source0: http://download.berlios.de/freenx/%name.tar.bz2
Patch0: %name-gcc43.patch

Requires: nx

# Automatically added by buildreq on Fri Jun 13 2008
BuildRequires: doxygen gcc-c++

%description
A library for building NX clients.
Based on nxclientlib by George Wright, but with all dependencies on Qt
removed and the Qt build system replaced with GNU autotools.

%package devel
Group: Development/Other
Summary: libnxcl header
Requires: %name = %version-%release

%description devel
This package provides the support files which can be used to
build applications using the libnxcl

%prep
%setup -q -n %name
%patch0 -p0

%build
%autoreconf
%configure
%make

%install
%makeinstall_std docdir=%_docdir/%name-%version
rm -f %buildroot%_libdir/*.a

%files
%doc README doc/html*
%_bindir/*
%_libdir/*.so.*

%files devel
%_includedir/%libname/*.h
%_libdir/*.so
%_pkgconfigdir/*.pc

%changelog
* Sat Feb 28 2009 Boris Savelev <boris@altlinux.org> 1:0.9-alt1
- fix version (add Epoch)
- fix work with nx > 3.2.0 (define NXCL_USE_NXSSH)
- remove pre/post
- add hard requires to devel

* Sun Oct 26 2008 Boris Savelev <boris@altlinux.org> 1.0-alt3
- fix build with gcc43

* Thu Jul 03 2008 Boris Savelev <boris@altlinux.org> 1.0-alt2
- clean spec
- svn build

* Fri Jun 13 2008 Boris Savelev <boris@altlinux.org> 1.0-alt1
- initial build
